%define name    scribus
%define version 1.3.5.1
%define release %mkrel 1

%define	major	0
%define	libname	%mklibname %name %major
%define develname %{name}-devel

Summary: 	Scribus - Open Source Page Layout
Name: 		%name
Version: 	%version
Release:	%release
Source0:	http://downloads.sourceforge.net/project/scribus/scribus-devel/%version/%name-%version.tar.bz2
URL: 		http://www.scribus.net/
License:	GPLv2+
Group:  	Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	aspell-devel
BuildRequires:	cups-devel
BuildRequires:	lcms-devel
BuildRequires:	boost-devel
BuildRequires:	cairo-devel
BuildRequires:	qt4-devel >= 3:4.4.0
BuildRequires:	tiff-devel
BuildRequires:	python-devel
BuildRequires:	libtiff-devel
BuildRequires:	desktop-file-utils imagemagick
BuildRequires:	cmake >= 2.6.0
Requires:	tkinter
Requires:	ghostscript-common

Obsoletes:    scribus-i18n-en
Obsoletes:    scribus-i18n-de
Obsoletes:    scribus-i18n-fr
Obsoletes:	%libname

%description
Scribus is a desktop open source page layout program with the aim of
producing commerical grade output in PDF and Postscript, primarily,
though not exclusively, for Linux.

While the goals of the program are ease of use and simple
easy-to-understand tools, Scribus offers support for professional
publishing features, such as CMYK colors, easy PDF creation,
Encapsulated Postscript import and export, and creation of color
separations.

%if %mdkversion < 200900
%post
%update_menus
%update_mime_database
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%clean_mime_database
%clean_icon_cache hicolor
%endif

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(de) %{_mandir}/de/man1/*
%{_libdir}/scribus
%{_datadir}/mime/packages/*.xml
%{_datadir}/scribus
%_iconsdir/hicolor/*/apps/%{name}.png
%doc %{_datadir}/doc/%{name}*

#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development tools for programs which will use the %libname library
Group:		Development/C++
Obsoletes:	%{libname}-devel
Obsoletes:	libkde3-scribus0-devel
Provides:	libkde3-scribus0-devel

%description -n	%{develname}
The %{develname} package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{develname}-devel.  You'll also need to have the %name
package installed.

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS COPYING
%_includedir/%name/*

#--------------------------------------------------------------------

%prep
%setup -q
# Don't add (Development) to name in program menu, it makes no sense for
# users
sed -i -e "s/ (Development)//" scribus.desktop

%build
%cmake_qt4
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std -C build

install -d %buildroot%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir %buildroot%{_datadir}/applications/ \
	--remove-key='Encoding' \
	--remove-category='Application' \
	--remove-category='Graphics' \
	--add-category='Office' \
	--add-category='Publishing' \
	--add-category='X-MandrivaLinux-CrossDesktop'\
	%name.desktop

# install icons for hicolor and old WM
mkdir -p %buildroot%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
convert -resize 16x16 scribus/icons/scribus.png %buildroot%_iconsdir/hicolor/16x16/apps/%{name}.png
convert -resize 32x32 scribus/icons/scribus.png %buildroot%_iconsdir/hicolor/32x32/apps/%{name}.png
convert -resize 48x48 scribus/icons/scribus.png %buildroot%_iconsdir/hicolor/48x48/apps/%{name}.png

# we do not need kde stuffs for 2009
rm -f %buildroot%_datadir/mimelnk/application/vnd.scribus.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Aug 16 2009 Funda Wang <fundawang@mandriva.org> 1.3.5.1-1mdv2010.0
+ Revision: 416831
- new version 1.3.5.1

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.5-0.svn13658.2mdv2010.0
+ Revision: 416532
- rebuilt against libjpeg v7

* Mon Jun 08 2009 Funda Wang <fundawang@mandriva.org> 1.3.5-0.svn13658.1mdv2010.0
+ Revision: 383812
- 1.3.5 rc2

* Mon Apr 13 2009 Funda Wang <fundawang@mandriva.org> 1.3.5-0.svn13385.1mdv2009.1
+ Revision: 366571
- new snapshot r13385

* Sat Apr 04 2009 Funda Wang <fundawang@mandriva.org> 1.3.5-0.svn13368.1mdv2009.1
+ Revision: 363984
- New snapshot

* Sun Mar 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.3.5-0.svn13262.1mdv2009.1
+ Revision: 352918
- New svn snapshot (fixes build with QT 4.5)
- Don't add Development to the name in the applications menu,
  it's of no use for normal users

* Fri Jan 30 2009 Funda Wang <fundawang@mandriva.org> 1.3.5-0.svn13129.1mdv2009.1
+ Revision: 335645
- New snapshot

* Thu Jan 29 2009 Funda Wang <fundawang@mandriva.org> 1.3.5-0.svn13118.1mdv2009.1
+ Revision: 335170
- New snapshot

* Tue Jan 20 2009 Funda Wang <fundawang@mandriva.org> 1.3.5-0.svn13066.2mdv2009.1
+ Revision: 331927
- disable format checking for now
- rediff str patch
- new snapshot

* Sat Dec 27 2008 Funda Wang <fundawang@mandriva.org> 1.3.5-0.svn12984.1mdv2009.1
+ Revision: 319931
- fix str fmt
- newsnapshot

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Dec 05 2008 Funda Wang <fundawang@mandriva.org> 1.3.5-0.svn12927.1mdv2009.1
+ Revision: 310708
- New snapshot

* Wed Nov 19 2008 Funda Wang <fundawang@mandriva.org> 1.3.5-0.svn12879.1mdv2009.1
+ Revision: 304387
- new snapshot

* Mon Nov 03 2008 Funda Wang <fundawang@mandriva.org> 1.3.5-0.svn12805.1mdv2009.1
+ Revision: 299341
- New snapshot 12805

* Sat Oct 25 2008 Funda Wang <fundawang@mandriva.org> 1.3.5-0.svn12760.1mdv2009.1
+ Revision: 297228
- fix icon name
- New snapshot (qt4 version)

* Sat Sep 27 2008 Frederik Himpe <fhimpe@mandriva.org> 1.3.3.12-5mdv2009.0
+ Revision: 288886
- Remove (stable) from the GenericName and add Dutch translation

* Sun Sep 21 2008 Funda Wang <fundawang@mandriva.org> 1.3.3.12-4mdv2009.0
+ Revision: 286294
- use cmake to build
- prefer cairo over artgpl

* Thu Aug 28 2008 Funda Wang <fundawang@mandriva.org> 1.3.3.12-3mdv2009.0
+ Revision: 276809
- confort upstream desktop file
- add office category to fix bug#43252

* Fri Aug 15 2008 Funda Wang <fundawang@mandriva.org> 1.3.3.12-2mdv2009.0
+ Revision: 272292
- no mimelnk file
- add scribus.desktop
- New version 1.3.3.12

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 1.3.3.11-3mdv2009.0
+ Revision: 200860
- libsuffix should only work for x86_64 systems

* Sun May 04 2008 Funda Wang <fundawang@mandriva.org> 1.3.3.11-2mdv2009.0
+ Revision: 200855
- use libsuffix (bug#39612)
- use qt3 macro

* Sun Jan 13 2008 Funda Wang <fundawang@mandriva.org> 1.3.3.11-1mdv2008.1
+ Revision: 150436
- New version 1.3.3.11

* Wed Jan 09 2008 Funda Wang <fundawang@mandriva.org> 1.3.3.10-1mdv2008.1
+ Revision: 147041
- make it backportable
- New version 1.3.3.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.10-0.10439.2mdv2008.0
+ Revision: 89554
- Add cross-desktop category (bug#333739)
- use doc icon rather than app icon

* Sat Aug 25 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.10-0.10439.1mdv2008.0
+ Revision: 71352
- really want lib64
- svn snapshot at 10439
- replace patch0 by upstream decision :(
- scribus does not own application/x-scribus mimetype
- Fix desktop icon
- Obsoletes old lan package

* Tue Jul 24 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-7mdv2008.0
+ Revision: 54884
- Put scribus into publishing rather than wordprocessor

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add Uppercase patterns
    - End mimetypes with a semi-colon

* Mon Jul 23 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-6mdv2008.0
+ Revision: 54520
- Add vnd.scribus.desktop for KDE's mimelnk
- Add desktop file patch to fix bug#31591

* Sat Jul 21 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-5mdv2008.0
+ Revision: 54136
- Add libpath patch
- use cmake
- Remove old translations
- More requires for the plugins

* Tue Jul 03 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-4mdv2008.0
+ Revision: 47348
- Bump release

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix layout

* Mon Jul 02 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-3mdv2008.0
+ Revision: 46926
- Build python scripts

* Mon Jul 02 2007 Funda Wang <fundawang@mandriva.org> 1.3.3.9-2mdv2008.0
+ Revision: 46919
- obsoletes libname
- fix bug#24032

* Wed May 16 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.3.3.9-1mdv2008.0
+ Revision: 27303
- Updated to 1.3.3.9.


* Thu Mar 01 2007 Laurent Montel <lmontel@mandriva.com> 1.3.3.8-1mdv2007.0
+ Revision: 130608
- 1.3.3.8

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1.3.3.7-1mdv2007.1
+ Revision: 106938
- 1.3.3.7

* Mon Dec 04 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.6-1mdv2007.1
+ Revision: 90468
- 1.3.3.6

* Sun Nov 12 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.5-1mdv2007.0
+ Revision: 83292
- 1.3.3.5

* Fri Oct 13 2006 Laurent Montel <lmontel@mandriva.com> 1.3.3.4-1mdv2007.1
+ Revision: 63820
- 1.3.3.4

  + Olivier Blin <oblin@mandriva.com>
    - Import scribus

* Wed Aug 09 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3.3-1
- 1.3.3.3

* Thu Jun 01 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3.2-1
- 1.3.3.2

* Tue Apr 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.3.3.1-1mdk
- New release 1.3.3.1
- Change URL
- Make rpmbuildupdate

* Fri Mar 31 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-2
- Fix build on x86_64

* Fri Mar 31 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.3-1
- 1.3.3

* Mon Jan 23 2006 Laurent MONTEL <lmontel@mandriva.com> 1.3.2-1
- 1.3.2

* Tue Dec 20 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-4
- Add tiff-devel as buildrequires fix : bug #15939

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-3mdk
- fix build on x86_64

* Fri Nov 18 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-2mdk
- rebuild against openssl-0.9.8

* Tue Oct 18 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.1-1
- 1.3.1

* Sat Jul 16 2005 Laurent MONTEL <lmontel@mandriva.com> 1.3.0-1
- 1.3.0

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.2.1-2mdk
- no bz2 ending for man pages
- drop patches that wasn't applied
- sane %%setup
- fix path to qt3 libs (lib64)

* Wed Jul 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.2.1-1mdk
- 1.2.2.1
- %%mkrel

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 1.2.2-1mdk
- 1.2.2
- patch now merged upstream

* Sun Apr 17 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.1-2mdk
- Fixed %%{scribusdir} for X86-64.
- Added Patch2.

* Mon Jan 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Sat Oct 23 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-3mdk
- lib64 fixes (again)

* Wed Sep 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Fix url bug found by 'Quel Qun <kelk1@comcast.net>"

* Mon Aug 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- 1.2 (before new version freeze)

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7

* Sat May 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.6-2mdk
- fix buildrequires

* Fri May 07 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-1mdk
- New release 1.1.6

